# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-12 13:37
from __future__ import unicode_literals

import wagtail.core.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('home', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='homepage',
            name='body',
            field=wagtail.core.fields.RichTextField(blank=True),
        ),
        migrations.AddField(
            model_name='homepage',
            name='body_en',
            field=wagtail.core.fields.RichTextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='homepage',
            name='body_fr',
            field=wagtail.core.fields.RichTextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='homepage',
            name='intro',
            field=wagtail.core.fields.RichTextField(blank=True),
        ),
        migrations.AddField(
            model_name='homepage',
            name='intro_en',
            field=wagtail.core.fields.RichTextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='homepage',
            name='intro_fr',
            field=wagtail.core.fields.RichTextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='homepage',
            name='search_description_en',
            field=models.TextField(blank=True, null=True, verbose_name='search description'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='search_description_fr',
            field=models.TextField(blank=True, null=True, verbose_name='search description'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='seo_title_en',
            field=models.CharField(blank=True,
                                   help_text=("Optional. 'Search Engine Friendly' title. ",
                                              "This will appear at the top of the browser window."),
                                   max_length=255, null=True, verbose_name='page title'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='seo_title_fr',
            field=models.CharField(blank=True,
                                   help_text=("Optional. 'Search Engine Friendly' title. ",
                                              "This will appear at the top of the browser window."),
                                   max_length=255, null=True, verbose_name='page title'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='slug_en',
            field=models.SlugField(
                allow_unicode=True,
                help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/',
                max_length=255, null=True, verbose_name='slug'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='slug_fr',
            field=models.SlugField(
                allow_unicode=True,
                help_text='The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/',
                max_length=255, null=True, verbose_name='slug'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='title_en',
            field=models.CharField(
                help_text="The page title as you'd like it to be seen by the public", max_length=255, null=True,
                verbose_name='title'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='title_fr',
            field=models.CharField(help_text="The page title as you'd like it to be seen by the public",
                                   max_length=255, null=True, verbose_name='title'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='url_path_en',
            field=models.TextField(blank=True, editable=False, null=True, verbose_name='URL path'),
        ),
        migrations.AddField(
            model_name='homepage',
            name='url_path_fr',
            field=models.TextField(blank=True, editable=False, null=True, verbose_name='URL path'),
        ),
    ]
